Get Task
Gets one exact Task when its Task ID is known. Does not change the Task.
AuthorizationBearer <token>
Signed-in user's Supabase access token. Workspace-scoped operations also require SMB-Workspace-Id.
In: header
Path Parameters
task_id*string
Stable Task ID.
Match
^tsk_[0-7][0-9A-HJKMNP-TV-Z]{25}$Header Parameters
SMB-Workspace-Id*string
Workspace where this operation runs. Required for user tokens and Workspace API keys.
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/tasks/string" \ -H "SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "data": { "task_id": "string", "business_id": "string", "room_id": "string", "goal_id": "string", "title": "string", "description": "string", "status": "proposed", "proposal_source": "user", "proposal_source_id": "string", "proposed_by": { "type": "user", "id": "string" }, "proposal_reason": "string", "proposal_evidence": [ null ], "decision_reason": "string", "assignee_user_id": "string", "assignee_email": "user@example.com", "kind": "todo", "due_at": "2019-08-24T14:15:22Z", "started_at": "2019-08-24T14:15:22Z", "completion_evidence": [ null ], "completed_at": "2019-08-24T14:15:22Z", "cancellation_reason": "string", "canceled_at": "2019-08-24T14:15:22Z", "revision": 1, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }, "request_id": "string"}